Skip to main content
GET
/
v1
/
public
/
broker
/
order_enums
List order enums for a broker
curl --request GET \
  --url https://api.orderly.org/v1/public/broker/order_enums
{
  "success": true,
  "timestamp": 1702989203989,
  "data": [
    {
      "enum_id": "STRATEGY_DCA",
      "status": "active",
      "default_fee_rate": 0.005,
      "pair_overrides": {
        "PERP_BTC_USDC": 0.003
      },
      "created_time": 1710300000000,
      "updated_time": 1710300000000
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://staging-docs.orderly.network/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

broker_id
string
required

Broker ID

symbol
string

Filter by symbol

enum_id
string

Filter by enum ID

include_archived
boolean

Include archived enums

Response

200 - application/json

Success

success
boolean
required

Indicates whether the request was successful.

Example:

true

timestamp
integer

Server timestamp in milliseconds.

Example:

1702989203989

data
object[]